| Home | Libraries | People | FAQ | More

## Struct version<icl::inplace_minus< short >>

boost::icl::version<icl::inplace_minus< short >>

## Synopsis

    // In header: <boost/icl/functors.hpp>

    struct version<icl::inplace_minus< short >> : public boost::icl::conversion< icl::inplace_minus< short > > {
      // types
      typedef version< icl::inplace_minus< short > >    type;
      typedef conversion< icl::inplace_minus< short > > base_type;
      typedef base_type::argument_type                  argument_type;

      // public member functions
      short operator()(short);
    };

## Description

### `version` public member functions

1.     short operator()(short val);